<app-loader *ngIf="isLoad">  </app-loader>


<div *ngIf="error && !isLoad">
	<i>{{error}}</i>
</div>

<div *ngIf="application">
	<mat-card class="art-card">
		<div  fxLayout="row" fxLayout.lt-md="column" fxLayoutGap='16px'>
			<mat-form-field appearance="fill" fxFlex="50" fxFlex.lt-md="100" >
				<mat-label>UID</mat-label>
				<input matInput [ngModel]="application.uid"  readonly="true">
			</mat-form-field>
			<mat-form-field appearance="fill" fxFlex="25" fxFlex.lt-md="100" >
				<mat-label>Рейтинг заявления</mat-label>
				<input matInput [ngModel]="application.rating" readonly="true">
			</mat-form-field>
			<mat-form-field appearance="fill" fxFlex="25" fxFlex.lt-md="100" >
				<mat-label>Приоритет заявления</mat-label>
				<input matInput  [ngModel]="application.priority" readonly="true">
			</mat-form-field>
		</div>

		<div fxLayout="column" fxLayoutGap="16px">
			<mat-checkbox [ngModel]="application.first_higher_education"
				[disableRipple]="true"
				(click)="$event.preventDefault()" > Первое высшее образование</mat-checkbox>

			<mat-checkbox [ngModel]="application.original"
				[disableRipple]="true"
				(click)="$event.preventDefault()" > Оригинал документа об образовании</mat-checkbox>

			<div *ngIf="application.original || application.original_doc">
				<mat-form-field appearance="fill"  fxFlex="25" fxFlex.lt-md="100">
					<mat-label>
						Дата получения оригиналов документов
					</mat-label>
					<input matInput [ngModel]="application.original_doc | date: 'dd.MM.yyyy' " readonly="true">
				</mat-form-field>
			</div>
			<div *ngIf="!application.original && application.original_doc" fxLayoutGap="16px">
				<mat-form-field appearance="fill"  fxFlex="25" fxFlex.lt-md="100">
					<mat-label> Дата возврата оригиналов документов </mat-label>
					<input matInput [ngModel]="application.return_date | date: 'dd.MM.yyyy' " readonly="true">
				</mat-form-field>
				<mat-form-field appearance="fill" fxFlex="">
					<mat-label> Способ возврата оригиналов документов</mat-label>
					<input matInput [(ngModel)]="application.name_return_type" readonly="true" >
				</mat-form-field>
			</div>

			<mat-checkbox [(ngModel)]="application.agreed" [disableRipple]="true" (click)="$event.preventDefault()"
				name="agreed"> Согласие на зачисление </mat-checkbox>

			<ng-container *ngIf="application.agreed === true">
				<div>
					<mat-form-field appearance="fill"  fxFlex="25" fxFlex.lt-md="100">
						<mat-label>Дата получения согласия</mat-label>
						<input matInput [ngModel]="application.agreed_date | date: 'dd.MM.yyyy HH:mm' " readonly="true">
					</mat-form-field>
				</div>

				<ng-container *ngIf="application.disagreed">
					<mat-checkbox [(ngModel)]="application.disagreed"
						[disableRipple]="true"
						(click)="$event.preventDefault()"> Отзыв согласия на зачисление </mat-checkbox>
					<div>
						<mat-form-field appearance="fill" fxFlex="25" fxFlex.lt-md="100">
							<mat-label>Дата отзыва согласия</mat-label>
							<input matInput [ngModel]="application.disagreed_date | date: 'dd.MM.yyyy HH:mm'  " readonly="true">
						</mat-form-field>
					</div>

				</ng-container>

			</ng-container>

			<hr>

			<mat-checkbox [ngModel]="application.need_hostel"
				[disableRipple]="true"
				(click)="$event.preventDefault()" > Необходимость общежития</mat-checkbox>

			<mat-checkbox [ngModel]="application.distance_test"
				[disableRipple]="true"
				(click)="$event.preventDefault()" > Проведение ВИ с использованием дистанционных технологий</mat-checkbox>

			<mat-form-field appearance="fill" fxFlex="">
				<mat-label> Место проведения ВИ с использованием дистанционных технологий </mat-label>
				<textarea matInput [ngModel]="application.distance_place" readonly="true"></textarea>
			</mat-form-field>

			<mat-checkbox  [ngModel]="application.special_conditions"
				[disableRipple]="true"
				(click)="$event.preventDefault()" > Проведение ВИ с созданием специальных условий</mat-checkbox>
		</div>

	</mat-card>

</div>


